export declare const defaultStyle: {
    width: number;
    boxHeight: number;
    canvasPadding: number;
    spaceBetweenColumns: number;
    spaceBetweenRows: number;
    connectorColor: string;
    connectorColorHighlight: string;
    roundHeader: {
        isShown: boolean;
        height: number;
        marginBottom: number;
        fontSize: number;
        fontColor: string;
        backgroundColor: string;
        fontFamily: string;
    };
    roundSeparatorWidth: number;
    lineInfo: {
        separation: number;
        homeVisitorSpread: number;
    };
    horizontalOffset: number;
    wonBywalkOverText: string;
    lostByNoShowText: string;
};
export declare const getCalculatedStyles: (style?: {
    width: number;
    boxHeight: number;
    canvasPadding: number;
    spaceBetweenColumns: number;
    spaceBetweenRows: number;
    connectorColor: string;
    connectorColorHighlight: string;
    roundHeader: {
        isShown: boolean;
        height: number;
        marginBottom: number;
        fontSize: number;
        fontColor: string;
        backgroundColor: string;
        fontFamily: string;
    };
    roundSeparatorWidth: number;
    lineInfo: {
        separation: number;
        homeVisitorSpread: number;
    };
    horizontalOffset: number;
    wonBywalkOverText: string;
    lostByNoShowText: string;
}) => {
    width: number;
    boxHeight: number;
    canvasPadding: number;
    spaceBetweenColumns: number;
    spaceBetweenRows: number;
    connectorColor: string;
    connectorColorHighlight: string;
    roundHeader: {
        isShown: boolean;
        height: number;
        marginBottom: number;
        fontSize: number;
        fontColor: string;
        backgroundColor: string;
        fontFamily: string;
    };
    roundSeparatorWidth: number;
    lineInfo: {
        separation: number;
        homeVisitorSpread: number;
    };
    horizontalOffset: number;
    wonBywalkOverText: string;
    lostByNoShowText: string;
} & {
    rowHeight: number;
    columnWidth: number;
};
