"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Graph = void 0;
const react_1 = __importStar(require("react"));
const item_context_1 = require("./item-context");
const item_wrapper_1 = require("./item-wrapper");
function Graph({ renderData, itemComponent, calculatedStyle, }) {
    const { state: { hoveredItems }, } = react_1.useContext(item_context_1.itemContext);
    return (react_1.default.createElement("g", null,
        renderData.map((column, columnIndex) => column.map((item, rowIndex) => {
            return (react_1.default.createElement(item_wrapper_1.ItemWrapper, Object.assign({}, {
                columnIndex,
                item,
                rowIndex,
                renderData,
                calculatedStyle,
                itemComponent,
            })));
        })),
        hoveredItems.slice(1).map(itemID => (react_1.default.createElement("use", { xlinkHref: `#connector-${itemID}` })))));
}
exports.Graph = Graph;
//# sourceMappingURL=graph.js.map