import React, { Dispatch } from 'react';
import { RenderItem, RenderMatrix, Tree } from '../types';
declare type State = {
    renderData: RenderMatrix<unknown>;
    hoveredItems: number[];
    collapsedItems: number[][];
};
export declare const itemContext: React.Context<{
    state: State;
    dispatch: Dispatch<any>;
}>;
export declare const useItemContext: <T>(tree: Tree<T>) => [any, React.Dispatch<any>];
export declare const useItemHighlightContext: <T>({ currentItem, }: {
    currentItem: RenderItem<T>;
}) => boolean;
export declare const useIsCollapsed: <T>({ currentItem, }: {
    currentItem: RenderItem<T>;
}) => boolean;
export {};
